"""
most frequently used words in lojban
"""

rogismu = []
for line in open("gismu.frq").readlines():
    if line[0]=="#": continue
    if not line.strip(): continue
    frq, gismu = [f.strip() for f in line.split()]
    frq = int(frq)
    rogismu.append((frq, gismu))

rocmavo=[]
for line in open("cmavo.frq").readlines():
    if line[0]=="#": continue
    if not line.strip(): continue
    try:
        frqa, frqb, cmavo = [f.strip() for f in line.split()]
    except:
        print line
    frq = int(frqa)
    rocmavo.append((frq, cmavo))

def byFrequency(a,b):
    return -cmp(a[0],b[0])

rogismu.sort(byFrequency)
rocmavo.sort(byFrequency)

if __name__=="__main__":
    print rogismu[:10]
    print rocmavo[:10]
